### Callable

- fdatasync(fd: number, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:1716

  Asynchronous fdatasync(2) - synchronize a file's in-core state with storage device.

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(fd: number): Promise<void>

- - Defined in node_modules/@types/node/fs.d.ts:1724

  Asynchronous fdatasync(2) - synchronize a file's in-core state with storage device.

  #### Parameters

  - ##### fd: number

    A file descriptor.

  #### Returns Promise<void>

Generated using TypeDoc